Package org.eclipse.emf.cdo.spi.common.commit

# Class CDORevisionAvailabilityInfo

java.lang.Object
org.eclipse.emf.cdo.spi.common.commit.CDORevisionAvailabilityInfo

All Implemented Interfaces:
  `CDORevisionProvider`

public final class CDORevisionAvailabilityInfo extends Object implements CDORevisionProvider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDORevisionAvailabilityInfo(CDOBranchPoint branchPoint)`
`CDORevisionAvailabilityInfo(CDOBranchPoint branchPoint, CDORevisionManager revisionManager)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addRevision(CDORevisionKey key)`
`boolean`
`containsRevision(CDOID id)`
`Map<CDOID,CDORevisionKey>`
`getAvailableRevisions()`
`CDOBranchPoint`
`getBranchPoint()`
`CDORevision`
`getRevision(CDOID id)`
`void`
`removeRevision(CDOID id)`
`void`
`setBranchPoint(CDOBranchPoint branchPoint)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDORevisionAvailabilityInfo

public CDORevisionAvailabilityInfo(CDOBranchPoint branchPoint, CDORevisionManager revisionManager)

Since:
  4.6

### CDORevisionAvailabilityInfo

public CDORevisionAvailabilityInfo(CDOBranchPoint branchPoint)

## Method Details

### getBranchPoint

public CDOBranchPoint getBranchPoint()

### setBranchPoint

public void setBranchPoint(CDOBranchPoint branchPoint)

Since:
  4.6

### getAvailableRevisions

public Map<CDOID,CDORevisionKey> getAvailableRevisions()

### addRevision

public void addRevision(CDORevisionKey key)

### removeRevision

public void removeRevision(CDOID id)

### containsRevision

public boolean containsRevision(CDOID id)

### getRevision

public CDORevision getRevision(CDOID id)

Specified by:
  `getRevision` in interface `CDORevisionProvider`

### toString

public String toString()

Overrides:
  `toString` in class `Object`